GEARMAN_CLIENT_ADD_TASK_STATUS(3)

NAME
gearman_client_add_task_status - Gearmand Documentation, https://gearman.org/gearmand/

SYNOPSIS

#include <libgearman/gearman.h>

gearman_task_st *gearman_client_add_task_status(gearman_client_st *client, gearman_task_st *task, void *context, const char *job_handle, gearman_return_t *ret_ptr)

    Link with -lgearman

DESCRIPTION

gearman_client_add_task_status() creates a gearman_task_st that can be used to monitor a previously created task.

WARNING: You may wish to avoid using gearman_client_add_task() with a stack based allocated gearman_task_st. The most common issues related to ABI safety involve stack allocated structures. If you use a stack based gearman_task_st you must free it with gearman_task_free().

RETURN VALUE

The gearman_task_st is created and a pointer to it is returned. On error NULL is returned and ret_ptr is set with a gearman_return_t.

HOME

To find out more information please check: https://gearman.org/gearmand/

SEE ALSO: gearmand(8) libgearman(3) gearman_task_st(3)

AUTHOR
Data Differential http://www.datadifferential.com/

COPYRIGHT
2011-2014, Data Differential, http://www.datadifferential.com/